#include<bits/stdc++.h>
#define MAXN 3000007
using namespace std;

int n,k;
long double pref[MAXN],ans;

long double av(int i,int j){
    return (pref[j]-pref[i-1])*1.0/(j-i+1);
}

int main(){
    
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>n>>k;
    for(int i=1;i<=n;i++){
        cin>>pref[i];
        pref[i]+=pref[i-1];
    }
    for(int p=k;p<=n;p++){
        for(int i=1;i+p-1<=n;i++){
            ans=max(ans,av(i,i+p-1));
        }
    }

    cout<<setprecision(4)<<fixed<<ans<<"\n";

    return 0;
}
